@card-head-height: 56px;
@card-footer-height: 63px;

.list-news {
    .ant-card-head {
        .ant-card-head-title {
            text-align: center;
            font-weight: 600;
        }
    }

    .ant-card-head {
        height: @card-head-height;
    }

    .ant-card-body {
        padding: 10px 20px 20px;
    }

    .ant-list {
        max-height: calc(100vh - @header-height - @trading-bar-height - @footer-height - @layout-pd-x*2 - @card-head-height - @card-footer-height);
        overflow-y: auto;
    }

    .ant-list + .ant-divider {
        margin: 0 -20px 20px;
        width: calc(100% + 40px);
        border-color: @divider-color;
    }

    .ant-row {
        width: 100%;
    }

    &__wrapper {
        width: 100%;
        display: flex;
    }

    &__content {
        flex-grow: 1;
        padding-right: 45px;
    }

    &__title {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        position: relative;
        padding-left: 20px;

        .anticon {
            position: absolute;
            top: 50%;
            left: 2px;
            transform: translate(0, -50%);
        }

        &.newsest {
            color: rgb(224, 60, 60);
        }

        &.news2nd {
            color: #F1A233;
        }
    }

    &__date-time {
        font-size: 13px;
        color: #888888;
    }

    &__tags {
        white-space: nowrap;
        justify-content: flex-end;
        width: 100%;

        .ant-space-item > .ant-tag {
            margin-right: 0;
            border: none;
            color: @primary-color;
            text-transform: uppercase;
            padding: 0 10px;

            &.e-tag {
                min-width: 82px;
                text-align: center;
                color: #EF5350;
            }
        }
    }

    &-footer {
        display: flex;
        align-items: center;
        justify-content: space-between;
        font-size: 12px;

        .footer-pagination-info {
            color: #888888;

            .value-section {
                color: #000000;
            }
        }

        .footer-pagination {
            .ant-btn {
                font-size: 12px;
                padding: 5px 15px;
                height: 28px;
            }
        }
    }
}

.pdx-12 {
    padding: 0 12px;
    color: #888888;
}

.btn-icon {
    width: 28px;
    height: 28px;
    display: flex;
    align-items: center;
    justify-content: center;

    .anticon {
        margin-top: 2px;
        color: @primary-color;
    }
}